function [ xpts_pos ] = positive_normal( mu, sigma, n )

% see nutshell "Random Variables" Section 3.3

xpts_pos = ? + ?*randn(1,n); % create sample with both negative and positive values


ind_nonpos = find(?); % find indices i for which xpts_pos(i) is less than or equal to zero

while length(ind_nonpos)>0   % as long as some entries less than or equal to zero remain, need to sample additional points
    % note length of emptyset is 0
    xpts_pos(?) = ? + ?*randn(1,?);  % redraw for entries less than or equal to zero and replace in xpts_pos
    ind_nonpos = find(?); % prepare for next iteration
end


    
    

end

